#!/usr/bin/env sh
set -e
echo "==> starting patch script for nextcloud $NEXTCLOUD_VERSION"
echo "==> install git"
apt-get update -q && apt-get install -q -y git && rm -rf /var/lib/apt/lists
echo "==> clone nextcloud/docker"
git clone https://git.ar21.de/aaron/nextcloud-docker.git
# save current workdir
WORKDIR=$(pwd)
echo "==> patch the Dockerfile"
cd "nextcloud-docker/$NEXTCLOUD_VERSION/fpm/"
sed -i "$(awk '/^ENTRYPOINT /{line=NR} END{print line}' Dockerfile)s+^+# begin of patch\nRUN apt-get update\nRUN apt-get install -y libmagickcore-6.q16-6-extra tesseract-ocr tesseract-ocr-deu tesseract-ocr-eng ocrmypdf libbz2-dev\nRUN docker-php-ext-install bz2\nRUN apt-get clean autoclean\nRUN apt-get autoremove -y\nADD https://raw.githubusercontent.com/tesseract-ocr/tessdata/main/deu.traineddata /usr/share/tesseract-ocr/tessdata/\nADD https://raw.githubusercontent.com/tesseract-ocr/tessdata/main/eng.traineddata /usr/share/tesseract-ocr/tessdata/\n# end of patch\n+" Dockerfile
echo "==> determine tags"
full_version=$(grep -oP '(?<=^ENV NEXTCLOUD_VERSION ).*' Dockerfile)
echo "==> found $full_version"
echo "$full_version" > .tags
cd $WORKDIR
cp -r nextcloud-docker/$NEXTCLOUD_VERSION/fpm/* .